Subject: Emacs install with new personality
From: "Parker, Brian" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 4 Nov 2009 16:12:34 -0600

To whomever might help:

I actually don't believe this is an Emacs bug - so I hesitate to bother you with this.  Still, I am desperate enough to get just one small clue about what happened to my emacs that I am trying this approach.

My name is Brian Parker.  I am a hardware (ASIC, FPGA) engineer for Harman International.

I realize you have no obligation to help me with anything (since I really doubt this is a bug) and if I get no response I will also understand.  It certainly won't leave me any worse off than I am right now.

I have used Emacs for at least 15 years - primarily for Verilog-based designs.  Still, I do not know LISP nor am I really an expert on Emacs - but I like it when it is set up right (for me).

Recently, (until Monday Nov 2), I was using Emacs 22 on a Ubuntu (9.4) Linux system.  It was working wonderfully.

I made the mistake of upgrading to Ubuntu 9.10.  This upgrade wiped out my Emacs (not my .emacs file).  I had to reinstall Emacs - version 22 again as far as I can tell.

Now it does not work correctly at all.  I will describe 4 of the most noticeable and annoying behaviors on the new install.  If you might have any clue as to what my problem is and are willing to just point me in the right direction, I will try to follow through and figure this out.

1 - The "Revert-buffer" option on the "File" menu no longer works.  It is grayed out.  M-x revert-buffer still works but the menu item does not.  Formerly this has always worked and I rely on it a lot.

2 - The "Buffers" menu no longer shows all the buffers I have open.  It drops down but only shows that I have the *GNU Emacs* buffer, the *scratch* buffer, and the *Messages* buffer.  None of my other buffers are listed anymore.  This has always worked before.

3 - When I scroll using the scroll bar (and mouse cursor of course) I must keep the cursor exactly on the scroll bar (i.e. no wandering outside of the Emacs window frame) or else the position of the text goes right back to where I started when I let the mouse button up.   This is very annoying - and did not function this way prior to my "upgrade".

4 - When scrolling using the scroll bar, text is selected and highlighted.  I know that I can select text with the mouse cursor but I don't want to select when just scrolling with the scroll bar.  This is also new behavior.

I have searched the manuals, tutorials, on-line tips, and will continue to do so.  However, I figured anyone there obviously already knows MUCH more about the guts of this editor than I do.

Thanks for your time,
Brian